Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.graphics
Class PDExtendedGraphicsState

    java.lang.Object
      org.pdfbox.pdmodel.graphics.PDExtendedGraphicsState

All Implemented Interfaces:
  COSObjectable

public class PDExtendedGraphicsState
extends Object
implements COSObjectable

This class represents the graphics state dictionary that is stored in the PDF document. The PDGraphicsStateValue holds the current runtime values as a stream is being executed.

Version:
  $Revision: 1.4 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Field Summary
`static String` | `RENDERING_INTENT_ABSOLUTE_COLORIMETRIC` Rendering intent constants, see PDF Reference 1.5 Section 4.5.4 Rendering Intents.
`static String` | `RENDERING_INTENT_PERCEPTUAL` Rendering intent constants, see PDF Reference 1.5 Section 4.5.4 Rendering Intents.
`static String` | `RENDERING_INTENT_RELATIVE_COLORIMETRIC` Rendering intent constants, see PDF Reference 1.5 Section 4.5.4 Rendering Intents.
`static String` | `RENDERING_INTENT_SATURATION` Rendering intent constants, see PDF Reference 1.5 Section 4.5.4 Rendering Intents.

Constructor Summary
`PDExtendedGraphicsState()` Default constructor, creates blank graphics state.
`PDExtendedGraphicsState(COSDictionary dictionary)` Create a graphics state from an existing dictionary.

Method Summary
`void` | `copyIntoGraphicsState(PDGraphicsState gs)` This will implement the gs operator.
`Boolean` | `getAlpaSourceFlag()` This will get the alpha source flag.
`Boolean` | `getAutomaticStrokeAdjustment()` This will get the automatic stroke adjustment flag.
`COSDictionary` | `getCOSDictionary()` This will get the underlying dictionary that this class acts on.
`COSBase` | `getCOSObject()` Convert this standard java object to a COS object.
`Float` | `getFlatnessTolerance()` This will get the flatness tolerance.
`PDFontSetting` | `getFontSetting()` This will get the font setting of the graphics state.
`Long` | `getLineCapStyle()` This will get the line cap style.
`PDLineDashPattern` | `getLineDashPattern()` This will get the dash pattern.
`Long` | `getLineJoinStyle()` This will get the line join style.
`Float` | `getLineWidth()` This will get the line width.
`Float` | `getMiterLimit()` This will get the miter limit.
`Float` | `getNonStrokingAlpaConstant()` This will get the non stroking alpha constant.
`Boolean` | `getNonStrokingOverprintControl()` This will get the overprint control for non stroking operations.
`Float` | `getOverprintMode()` This will get the overprint control mode.
`String` | `getRenderingIntent()` This will get the rendering intent.
`Float` | `getSmoothnessTolerance()` This will get the smothness tolerance.
`Float` | `getStrokingAlpaConstant()` This will get the stroking alpha constant.
`Boolean` | `getStrokingOverprintControl()` This will get the overprint control.
`Boolean` | `getTextKnockoutFlag()` This will get the text knockout flag.
`void` | `setAlphaSourceFlag(Boolean alpha)` This will get the alpha source flag.
`void` | `setAutomaticStrokeAdjustment(Boolean sa)` This will get the automatic stroke adjustment flag.
`void` | `setFlatnessTolerance(Float flatness)` This will get the flatness tolerance.
`void` | `setFontSetting(PDFontSetting fs)` This will set the font setting for this graphics state.
`void` | `setLineCapStyle(Long style)` This will set the line cap style for the graphics state.
`void` | `setLineDashPattern(PDLineDashPattern dashPattern)` This will set the dash pattern for the graphics state.
`void` | `setLineJoinStyle(Long style)` This will set the line join style.
`void` | `setLineWidth(Float width)` This will set the line width.
`void` | `setMiterLimit(Float miterLimit)` This will set the miter limit for the graphics state.
`void` | `setNonStrokingAlphaConstant(Float alpha)` This will get the non stroking alpha constant.
`void` | `setNonStrokingOverprintControl(Boolean op)` This will get the overprint control(OP).
`void` | `setOverprintMode(Float overprintMode)` This will get the overprint mode(OPM).
`void` | `setRenderingIntent(String ri)` This will set the rendering intent for the graphics state.
`void` | `setSmoothnessTolerance(Float smoothness)` This will get the smoothness tolerance.
`void` | `setStrokingAlphaConstant(Float alpha)` This will get the stroking alpha constant.
`void` | `setStrokingOverprintControl(Boolean op)` This will get the overprint control(OP).
`void` | `setTextKnockoutFlag(Boolean tk)` This will get the text knockout flag.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RENDERING_INTENT_ABSOLUTE_COLORIMETRIC

    public static final String RENDERING_INTENT_ABSOLUTE_COLORIMETRIC

  Rendering intent constants, see PDF Reference 1.5 Section 4.5.4 Rendering Intents.

  See Also:
    Constant Field Values

### RENDERING_INTENT_RELATIVE_COLORIMETRIC

    public static final String RENDERING_INTENT_RELATIVE_COLORIMETRIC

  Rendering intent constants, see PDF Reference 1.5 Section 4.5.4 Rendering Intents.

  See Also:
    Constant Field Values

### RENDERING_INTENT_SATURATION

    public static final String RENDERING_INTENT_SATURATION

  Rendering intent constants, see PDF Reference 1.5 Section 4.5.4 Rendering Intents.

  See Also:
    Constant Field Values

### RENDERING_INTENT_PERCEPTUAL

    public static final String RENDERING_INTENT_PERCEPTUAL

  Rendering intent constants, see PDF Reference 1.5 Section 4.5.4 Rendering Intents.

  See Also:
    Constant Field Values

Constructor Detail

### PDExtendedGraphicsState

    public PDExtendedGraphicsState()

  Default constructor, creates blank graphics state.

### PDExtendedGraphicsState

    public PDExtendedGraphicsState(COSDictionary dictionary)

  Create a graphics state from an existing dictionary.

Parameters:
  `dictionary` - The existing graphics state.

Method Detail

### copyIntoGraphicsState

    public void copyIntoGraphicsState(PDGraphicsState gs)
                               throws IOException

  This will implement the gs operator.

  Parameters:
    `gs` - The state to copy this dictionaries values into.
  Throws:
    `IOException` - If there is an error copying font information.

### getCOSDictionary

    public COSDictionary getCOSDictionary()

  This will get the underlying dictionary that this class acts on.

  Returns:
    The underlying dictionary for this class.

### getCOSObject

    public COSBase getCOSObject()

  Convert this standard java object to a COS object.

  Specified by:
    `getCOSObject` in interface `COSObjectable`
  Returns:
    The cos object that matches this Java object.

### getLineWidth

    public Float getLineWidth()

  This will get the line width. This will return null if there is no line width

  Returns:
    null or the LW value of the dictionary.

### setLineWidth

    public void setLineWidth(Float width)

  This will set the line width.

  Parameters:
    `width` - The line width for the object.

### getLineCapStyle

    public Long getLineCapStyle()

  This will get the line cap style.

  Returns:
    null or the LC value of the dictionary.

### setLineCapStyle

    public void setLineCapStyle(Long style)

  This will set the line cap style for the graphics state.

  Parameters:
    `style` - The new line cap style to set.

### getLineJoinStyle

    public Long getLineJoinStyle()

  This will get the line join style.

  Returns:
    null or the LJ value in the dictionary.

### setLineJoinStyle

    public void setLineJoinStyle(Long style)

  This will set the line join style.

  Parameters:
    `style` - The new line join style.

### getMiterLimit

    public Float getMiterLimit()

  This will get the miter limit.

  Returns:
    null or the ML value in the dictionary.

### setMiterLimit

    public void setMiterLimit(Float miterLimit)

  This will set the miter limit for the graphics state.

  Parameters:
    `miterLimit` - The new miter limit value

### getLineDashPattern

    public PDLineDashPattern getLineDashPattern()

  This will get the dash pattern.

  Returns:
    null or the D value in the dictionary.

### setLineDashPattern

    public void setLineDashPattern(PDLineDashPattern dashPattern)

  This will set the dash pattern for the graphics state.

  Parameters:
    `dashPattern` - The dash pattern

### getRenderingIntent

    public String getRenderingIntent()

  This will get the rendering intent.

  Returns:
    null or the RI value in the dictionary.

### setRenderingIntent

    public void setRenderingIntent(String ri)

  This will set the rendering intent for the graphics state.

  Parameters:
    `ri` - The new rendering intent

### getStrokingOverprintControl

    public Boolean getStrokingOverprintControl()

  This will get the overprint control.

  Returns:
    The overprint control or null if one has not been set.

### setStrokingOverprintControl

    public void setStrokingOverprintControl(Boolean op)

  This will get the overprint control(OP).

  Parameters:
    `op` - The overprint control.

### getNonStrokingOverprintControl

    public Boolean getNonStrokingOverprintControl()

  This will get the overprint control for non stroking operations. If this value is null then the regular overprint control value will be returned.

  Returns:
    The overprint control or null if one has not been set.

### setNonStrokingOverprintControl

    public void setNonStrokingOverprintControl(Boolean op)

  This will get the overprint control(OP).

  Parameters:
    `op` - The overprint control.

### getOverprintMode

    public Float getOverprintMode()

  This will get the overprint control mode.

  Returns:
    The overprint control mode or null if one has not been set.

### setOverprintMode

    public void setOverprintMode(Float overprintMode)

  This will get the overprint mode(OPM).

  Parameters:
    `overprintMode` - The overprint mode

### getFontSetting

    public PDFontSetting getFontSetting()

  This will get the font setting of the graphics state.

  Returns:
    The font setting.

### setFontSetting

    public void setFontSetting(PDFontSetting fs)

  This will set the font setting for this graphics state.

  Parameters:
    `fs` - The new font setting.

### getFlatnessTolerance

    public Float getFlatnessTolerance()

  This will get the flatness tolerance.

  Returns:
    The flatness tolerance or null if one has not been set.

### setFlatnessTolerance

    public void setFlatnessTolerance(Float flatness)

  This will get the flatness tolerance.

  Parameters:
    `flatness` - The new flatness tolerance

### getSmoothnessTolerance

    public Float getSmoothnessTolerance()

  This will get the smothness tolerance.

  Returns:
    The smothness tolerance or null if one has not been set.

### setSmoothnessTolerance

    public void setSmoothnessTolerance(Float smoothness)

  This will get the smoothness tolerance.

  Parameters:
    `smoothness` - The new smoothness tolerance

### getAutomaticStrokeAdjustment

    public Boolean getAutomaticStrokeAdjustment()

  This will get the automatic stroke adjustment flag.

  Returns:
    The automatic stroke adjustment flag or null if one has not been set.

### setAutomaticStrokeAdjustment

    public void setAutomaticStrokeAdjustment(Boolean sa)

  This will get the automatic stroke adjustment flag.

  Parameters:
    `sa` - The new automatic stroke adjustment flag.

### getStrokingAlpaConstant

    public Float getStrokingAlpaConstant()

  This will get the stroking alpha constant.

  Returns:
    The stroking alpha constant or null if one has not been set.

### setStrokingAlphaConstant

    public void setStrokingAlphaConstant(Float alpha)

  This will get the stroking alpha constant.

  Parameters:
    `alpha` - The new stroking alpha constant.

### getNonStrokingAlpaConstant

    public Float getNonStrokingAlpaConstant()

  This will get the non stroking alpha constant.

  Returns:
    The non stroking alpha constant or null if one has not been set.

### setNonStrokingAlphaConstant

    public void setNonStrokingAlphaConstant(Float alpha)

  This will get the non stroking alpha constant.

  Parameters:
    `alpha` - The new non stroking alpha constant.

### getAlpaSourceFlag

    public Boolean getAlpaSourceFlag()

  This will get the alpha source flag.

  Returns:
    The alpha source flag.

### setAlphaSourceFlag

    public void setAlphaSourceFlag(Boolean alpha)

  This will get the alpha source flag.

  Parameters:
    `alpha` - The alpha source flag.

### getTextKnockoutFlag

    public Boolean getTextKnockoutFlag()

  This will get the text knockout flag.

  Returns:
    The text knockout flag.

### setTextKnockoutFlag

    public void setTextKnockoutFlag(Boolean tk)

  This will get the text knockout flag.

  Parameters:
    `tk` - The text knockout flag.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD